#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x88925f32, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x8ad2a572, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xabbc9447, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x6b44a646, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x11181b73, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x1ca35cc9, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x777e61c9, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x9813e783, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xb904076b, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x7dd5ae12, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x535511a7, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xfa75ecb8, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xba1302cc, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x1e5bb5a3, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x7b8fdbec, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x19c7e4c0, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x50b54c6d, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xeb0cbf8b, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x3fd03458, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xa5999ad6, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x886addd9, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x6c0d679e, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x8c79e79c, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x5a892f91, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xbd96bc41, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x68b6344a, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xe8f9b52a, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x236bc9c4, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x4cfdbe13, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x4d807ea3, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xa42fe6a8, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xd79c3831, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xa6239fec, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x5ffd6e32, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x1ee90e98, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x84c341ac, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xa5af7c0b, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x7f98a4ac, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xce230c79, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xa4384c56, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xbd6a26bb, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x4f5e2942, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x31c73e14, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xd0849883, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x964a9999, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xd794ecfc, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x158cdb19, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x40ceed1f, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x3092906e, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x6ce0a6c6, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x34ad809d, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x089db50c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x78fe31c8, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x17804067, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xa3c6eb73, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xb742c1d5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x549a7eaa, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x92d04ae1, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xd2ed5930, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x9c9844a9, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x7d808b7d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x544facf3, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x73ef5d9f, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xe1f6dcaf, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xe574b861, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x2b1ea755, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x880973e7, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xd93d7442, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x6e21f25c, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xa51ef72b, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x81c18152, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xa6325460, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x787dd56f, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x37531b46, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x55836c6e, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x4f408446, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xf0a95738, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x14d8a854, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x80da8e7b, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x477784b2, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x73fd6453, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x00dcf00e, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x2241d725, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xa9bd1a6f, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x0fd58977, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x5115a9b9, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xd5e146f3, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xe05bef98, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x8b04239d, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xca7630e6, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x0b282e7b, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x8aeed36b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x76c59294, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x8d679cc6, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xa4824831, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x9829a58e, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x6a756517, "");
SYMBOL_CRC(drm_fb_swab, 0x23f612d3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x2f460272, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xce63ab0e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x0e3e3227, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x4d26222a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x14d220e5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x956fa8dc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xb459d71d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x5c8453e9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x0df24afe, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xab009c33, "");
SYMBOL_CRC(drm_fb_blit, 0xddf15142, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x836f6428, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x730fd3e4, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xb8027830, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xf13d7280, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x8ee3de54, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x090a7fde, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xfa0fe4c0, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0xb8c2a4f2, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x8729c197, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xb5f35d4a, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x58f2b7c8, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x394bfb5f, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x6263403c, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x2e4dc527, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x724987b0, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xe80aca89, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xefc966eb, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x8e75e834, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xfb23be55, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x77c17662, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x735dbab0, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xee79cc77, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x5ddb4c3b, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x49e0c3e6, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x05618190, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xaca63ed9, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xe31bb5d0, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xf48be144, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x3be93ffe, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xbc18403f, "");
SYMBOL_CRC(drm_crtc_init, 0xbd8f9267, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x1292c385, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x8f72969a, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xa6bad23c, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xd5fa14af, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x2dbde2e4, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xb0f25328, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xd3b61f42, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xd6cb3135, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x0f029369, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x7808e97e, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x3597e7e7, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xdb1781fe, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x60a82eb6, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x32d72de1, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x6ed575b2, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xf4d1a349, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x2804c17b, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x136c66e6, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x112ff4fc, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xbbbf3ef6, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x92ab6b35, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x0ce8de0f, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x9c9d11e4, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xa56d1425, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xfec229b7, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xb208fbea, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xa6c957b7, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xcdfc569f, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xa1cbc502, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x6edb0f3b, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xa485958f, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x7e22e8c9, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xaf442aae, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x655a22f1, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x8ff9be7d, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x6aae194a, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x87cebb19, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x031a20aa, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x0fc593fe, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xf91976ad, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xba2a2602, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x12722202, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xc00cd040, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x721051ba, "");
SYMBOL_CRC(drm_fb_helper_init, 0x212fbab6, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xfaee5e97, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x83279a32, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x821bb2ed, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x9a8ef0ff, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xc7497ddd, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x4ed400ec, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x050e026a, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x34baf6d3, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x46b230a1, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xb3ab7ee5, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x1d700fe9, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xb77536d1, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xaa9319f8, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x40542ea6, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x58393e0b, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x52972105, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x52f6c624, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x17be38ad, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x7185dbf0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa7029405, "unregister_framebuffer" },
	{ 0xf54da62a, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x942ed1d0, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x69b97028, "drm_client_register" },
	{ 0x92d03101, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0xb30745cb, "drm_panel_get_modes" },
	{ 0xfbc6cff2, "drm_gem_vmap_unlocked" },
	{ 0xdb8d386, "try_module_get" },
	{ 0xa9e749d7, "drm_connector_list_update" },
	{ 0xb49e4f92, "drm_bridge_add" },
	{ 0x523f5d74, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x7fdb7a94, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x56b659d4, "devm_kmalloc" },
	{ 0x5f95aa11, "drm_client_rotation" },
	{ 0xe9756001, "drm_client_buffer_vmap" },
	{ 0x8b31aa4d, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaab318f6, "drm_framebuffer_init" },
	{ 0x98b2f3fd, "drm_mode_validate_driver" },
	{ 0xf4e80e49, "drm_atomic_add_affected_planes" },
	{ 0xca6b9755, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x28789a1a, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf193ade, "drm_mode_probed_add" },
	{ 0x60a5f17b, "drm_atomic_add_affected_connectors" },
	{ 0xed84e97e, "drm_gem_vunmap_unlocked" },
	{ 0x6e51fc3e, "drm_bridge_hpd_enable" },
	{ 0xeea7384, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xa9d6329b, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6046fbee, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x40bb68f7, "drm_client_framebuffer_create" },
	{ 0x7b87e2e6, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xb45dd8d0, "drm_mode_object_get" },
	{ 0x8f3372c0, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xb98d2eb2, "drm_driver_legacy_fb_format" },
	{ 0x655735fc, "drm_crtc_cleanup" },
	{ 0xaf6dcc18, "drm_connector_list_iter_begin" },
	{ 0x25acefd8, "fb_deferred_io_init" },
	{ 0x9bd064c3, "drm_mode_set_config_internal" },
	{ 0xd67c56fd, "fb_deferred_io_cleanup" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcd76d346, "framebuffer_alloc" },
	{ 0x31169e54, "drm_encoder_cleanup" },
	{ 0xb578987f, "drm_connector_unregister" },
	{ 0x8f05e1e3, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0xd9a1423, "drm_client_modeset_probe" },
	{ 0x7e3c48e1, "drm_warn_on_modeset_not_all_locked" },
	{ 0x2abe0649, "drm_plane_get_damage_clips" },
	{ 0x20ebf667, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x2ca9167c, "drm_add_modes_noedid" },
	{ 0xfd6d1200, "drm_bridge_remove" },
	{ 0xed29d202, "drm_mode_object_put" },
	{ 0x8388357d, "dev_driver_string" },
	{ 0x6553f0a3, "drm_crtc_vblank_get" },
	{ 0xa6fe2d87, "drm_gem_object_lookup" },
	{ 0xfb33dfcf, "drm_crtc_send_vblank_event" },
	{ 0x6f5d4149, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xbbe25b77, "fb_sys_write" },
	{ 0x6cb2447, "drm_atomic_normalize_zpos" },
	{ 0xfec15956, "drm_edid_connector_update" },
	{ 0x4375f966, "drm_sysfs_hotplug_event" },
	{ 0xfee3f99, "drm_bridge_hpd_disable" },
	{ 0x7f4257fd, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbbdd49f, "__drmm_add_action_or_reset" },
	{ 0x6f712098, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xd4827aa6, "sys_fillrect" },
	{ 0xed8dedad, "drm_connector_list_iter_end" },
	{ 0x56099436, "drm_atomic_set_crtc_for_plane" },
	{ 0x36229322, "drm_bridge_edid_read" },
	{ 0xa06860a8, "drm_client_modeset_dpms" },
	{ 0x57abfe45, "drm_mode_prune_invalid" },
	{ 0x880e3348, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1837a837, "_dev_info" },
	{ 0xcaa8af2, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x7e88068a, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xd963c10b, "module_put" },
	{ 0xdf37212a, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xd501ebf2, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xf3146d95, "drm_client_init" },
	{ 0xaf38a030, "drm_crtc_wait_one_vblank" },
	{ 0x9f9d1d15, "drm_crtc_next_vblank_start" },
	{ 0x8dbf7419, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x7fa9f795, "drm_modeset_lock" },
	{ 0x22a25a1d, "drm_client_modeset_commit_locked" },
	{ 0x4fdf3f85, "drm_modeset_unlock" },
	{ 0x22bbb649, "drm_panel_disable" },
	{ 0x6893dbcb, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x38a511d, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xff75c166, "devm_kfree" },
	{ 0x2fb1ba4c, "_dev_err" },
	{ 0x38d9ecf1, "drm_writeback_cleanup_job" },
	{ 0xba9bddeb, "drm_modeset_lock_all_ctx" },
	{ 0x4f047f2a, "i2c_unregister_device" },
	{ 0xbda15667, "drm_atomic_set_fb_for_plane" },
	{ 0x374f494e, "__drm_universal_plane_alloc" },
	{ 0xc2ee8604, "drm_connector_init_with_ddc" },
	{ 0x889e317a, "drm_edid_connector_add_modes" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x3319da8e, "__devres_alloc_node" },
	{ 0x537c0fb, "drm_edid_read" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x1b5061eb, "drm_crtc_commit_wait" },
	{ 0x7570a401, "drm_dev_has_vblank" },
	{ 0x20077f88, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x33408151, "__drm_atomic_helper_disable_plane" },
	{ 0xed0149f0, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x45a3f3ae, "drm_gem_handle_create" },
	{ 0xda36c693, "drm_atomic_set_crtc_for_connector" },
	{ 0x33741de2, "drm_analog_tv_mode" },
	{ 0xf2c5b4ca, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x4d25a43, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x98e3dbb6, "drm_crtc_vblank_put" },
	{ 0x4e668c7b, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x1e69251c, "__drm_dev_dbg" },
	{ 0x39bf2358, "drm_plane_get_damage_clips_count" },
	{ 0xf05c636b, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x2f1abc57, "fb_deferred_io_mmap" },
	{ 0x72a8c2be, "drm_atomic_state_alloc" },
	{ 0xa30aab1c, "drm_client_modeset_commit" },
	{ 0xb11582bd, "_dev_warn" },
	{ 0x12130962, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf969fd01, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x1621cfef, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0xff1f0e38, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x92092903, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x38358f23, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x62ca0fb1, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xd0a6b038, "drm_get_format_info" },
	{ 0x838abbef, "drm_connector_cleanup" },
	{ 0x2444f3f8, "drm_universal_plane_init" },
	{ 0x470c0892, "drm_any_plane_has_format" },
	{ 0xf480bc1, "sys_copyarea" },
	{ 0xeba7e46c, "drm_connector_list_iter_next" },
	{ 0x961ced3b, "drm_modeset_acquire_fini" },
	{ 0xa99771af, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x999e8297, "vfree" },
	{ 0x9e79e883, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc2a32122, "param_ops_bool" },
	{ 0xfa88d8d8, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x5125ce0e, "drm_modeset_backoff" },
	{ 0xc0a9b943, "drm_panel_prepare" },
	{ 0xc4d7558f, "drm_bridge_chain_mode_set" },
	{ 0x13269ec, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xee3b30d2, "fb_sys_read" },
	{ 0x8b1b0348, "drm_atomic_get_plane_state" },
	{ 0x89e6435a, "drm_atomic_bridge_chain_check" },
	{ 0x9376417d, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x50d33ef0, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x6620ed7a, "drm_property_blob_put" },
	{ 0x37c56ce, "drm_mode_destroy" },
	{ 0x185ba7b1, "drm_bridge_attach" },
	{ 0x157a97f9, "drm_set_preferred_mode" },
	{ 0x46abd84b, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x11c3cd83, "drm_atomic_state_clear" },
	{ 0xcbab928f, "drm_mode_config_reset" },
	{ 0x7827966d, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0xad8bfa90, "drm_modeset_drop_locks" },
	{ 0xbdf8f410, "fwnode_handle_put" },
	{ 0xece61e01, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x87f4340c, "drm_atomic_bridge_chain_disable" },
	{ 0x5df8b630, "drm_mode_create_from_cmdline_mode" },
	{ 0xb62faf91, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x7b2bdead, "param_ops_int" },
	{ 0x74ed5724, "drm_atomic_nonblocking_commit" },
	{ 0x4e468080, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x197f8fb3, "drm_master_internal_release" },
	{ 0xfbf796c0, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xf7345f4, "drm_panel_unprepare" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0xdc53ee41, "drm_atomic_add_encoder_bridges" },
	{ 0x31796d9f, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4babc69, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,i2c-core,syscopyarea");


MODULE_INFO(srcversion, "273091B691F8FE35EB403A7");
MODULE_INFO(rhelversion, "9.6");
