#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x775ae467, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x489fbdec, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x73468bf9, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xbaddd94b, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xe4054caa, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x29ed31a4, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x36ead805, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xb1e34369, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x6d47e7b6, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x142d9c51, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x376b57fb, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x11894a44, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x369af355, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xad885101, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x29f4f30d, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x0e48fc0a, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xd68cdccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd55c2cd, "iscsi_dbg_trace" },
	{ 0x9b49e0aa, "dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x60bd5417, "crypto_ahash_digest" },
	{ 0xfb4ae483, "iscsi_conn_setup" },
	{ 0x40e4bacc, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaa976bb3, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x77e0e91d, "__traceiter_iscsi_dbg_tcp" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xab98fffb, "iscsi_prep_data_out_pdu" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x6d9f9374, "iscsi_conn_failure" },
	{ 0x7cfee043, "iscsi_put_task" },
	{ 0x3ff5a83e, "iscsi_itt_to_ctask" },
	{ 0xe798236d, "jiffies" },
	{ 0x8ca9fdd0, "iscsi_get_task" },
	{ 0x93ea053d, "iscsi_update_cmdsn" },
	{ 0x18baf9a, "iscsi_requeue_task" },
	{ 0x38c88476, "vmemmap" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x3d006252, "crypto_ahash_final" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6c814b87, "skb_prepare_seq_read" },
	{ 0x6aed3c08, "skb_seq_read" },
	{ 0x35a91343, "skb_abort_seq_read" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xd0d7c21e, "iscsi_complete_pdu" },
	{ 0xe4264c45, "iscsi_verify_itt" },
	{ 0x1ee1ca16, "__iscsi_complete_pdu" },
	{ 0x7b2bdead, "param_ops_int" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "AD9D6C9944437EF83E227A6");
MODULE_INFO(rhelversion, "9.6");
