#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5bfaa2c3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x1bc09ed6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x0736dd10, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x2d7a292d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x3785e561, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x23d42d90, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xaa976bb3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x77e0e91d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd4e55f1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x74e96659, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xa32bb56e, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x6e6edd93, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x5c1f3aba, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x23334420, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x07d45144, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0xbd8b498d, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xb4c235c2, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xdbf679a6, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x473c771d, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x355de42b, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x6e4d81ce, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xa558385c, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x5b7011db, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x2c972c40, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x3e02ac49, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x66e78597, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x790d6189, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x73def80c, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x849be703, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x7e418689, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x514712fd, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x034cf9a4, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x3a16cef4, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x7a56aa5c, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x8cfac33c, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0xb0080730, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x5a4bdf1f, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x442fdeae, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x44a3cd46, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xa33e67b6, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x62e8add4, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x2598b433, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0xd04e8810, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x85ee92a4, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xd67e09fe, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x8d493044, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xe5e99526, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x0552db86, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x90e52804, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x3a1e5494, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x3f90bdd1, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x645696c5, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xcd55c2cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xcd631452, "perf_trace_run_bpf_submit" },
	{ 0x5ea28115, "trace_event_buffer_reserve" },
	{ 0x46c3623a, "trace_event_buffer_commit" },
	{ 0x35c032ae, "event_triggers_call" },
	{ 0x6367ef8f, "trace_event_ignore_this_pid" },
	{ 0x4ceb20bd, "trace_raw_output_prep" },
	{ 0x80d494f4, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x527c97fe, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xea20f26c, "put_device" },
	{ 0xad6461b0, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3a85d6bf, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x9ffc2705, "get_device" },
	{ 0xbf2e7930, "device_find_child" },
	{ 0xc4734680, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9b49e0aa, "dev_printk" },
	{ 0x30517a47, "scsi_target_unblock" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc8368fc3, "netlink_kernel_release" },
	{ 0xf099988c, "bus_unregister" },
	{ 0xf1c8f192, "transport_class_unregister" },
	{ 0x9cbc1789, "class_unregister" },
	{ 0x81ae64af, "class_register" },
	{ 0xf2e8308, "transport_class_register" },
	{ 0x4c9331f, "bus_register" },
	{ 0xad121780, "init_net" },
	{ 0xb322637, "__netlink_kernel_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf683bf89, "scsi_host_get" },
	{ 0xffdf73ed, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0xb3d1090b, "scsi_init_limits" },
	{ 0xd1dd2cf2, "bsg_setup_queue" },
	{ 0x559df985, "netlink_broadcast_filtered" },
	{ 0x73b0cea0, "__alloc_skb" },
	{ 0x7f00363, "__nlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x41206c1d, "scsi_is_host_device" },
	{ 0xcc7815f4, "bsg_remove_queue" },
	{ 0xbf0dd87c, "scsi_host_put" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xfa677b03, "bsg_job_done" },
	{ 0x53e69fa0, "scsi_host_lookup" },
	{ 0x75558c1, "skb_trim" },
	{ 0x9de2bd3b, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x870947df, "transport_remove_device" },
	{ 0xa6b33048, "transport_destroy_device" },
	{ 0x868e7e81, "device_del" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9a482f9, "msleep" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0xc3d311ee, "dev_set_name" },
	{ 0x970039c0, "device_register" },
	{ 0x85e7ef6b, "sysfs_create_group" },
	{ 0x1f6e94a1, "attribute_container_register" },
	{ 0x1cdd1460, "device_add" },
	{ 0x26074dd9, "transport_setup_device" },
	{ 0x8421cb92, "transport_add_device" },
	{ 0xc5371ecd, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x222ac3f0, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{  0xc8119, "scsi_remove_target" },
	{ 0xa041e3cb, "scsi_scan_target" },
	{ 0x925c89b5, "netlink_capable" },
	{ 0xdb8d386, "try_module_get" },
	{ 0xd963c10b, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x1fc3ee5a, "netlink_unicast" },
	{ 0x84c35889, "skb_pull" },
	{ 0xb4f0c30b, "trace_event_reg" },
	{ 0xa73f8e83, "trace_event_raw_init" },
	{ 0x7b2bdead, "param_ops_int" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D41EE603796A55DAF57BF9C");
MODULE_INFO(rhelversion, "9.6");
