#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x2941bd04, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x8e0f5680, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x60dbebb3, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x426792b0, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xaff03a03, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xecb3be57, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x53897641, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xceab1515, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x94166234, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x4a0497eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x933a48f7, "dst_cache_set_ip4" },
	{ 0x2063d8b6, "kernel_bind" },
	{ 0x12058875, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb98826c, "netdev_warn" },
	{ 0x10954dd3, "udp_tunnel_nic_ops" },
	{ 0x63ee9522, "ip_route_output_flow" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3deb7046, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x80b035b4, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x37f4313e, "iptunnel_xmit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa9531665, "kernel_connect" },
	{ 0x75558c1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xeb5af476, "__dynamic_netdev_dbg" },
	{ 0x7ef6ffe2, "dst_cache_get_ip4" },
	{ 0xdc8fa703, "sock_create_kern" },
	{ 0xeeac9cf4, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8dc3e5b6, "metadata_dst_alloc" },
	{ 0x658b169, "dst_release" },
	{ 0xbeb9cd78, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xde016f39, "sock_bindtoindex" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3F032ACE5509E072AE6E375");
MODULE_INFO(rhelversion, "9.6");
