#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x31548fbe, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xe67ccdd8, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xb597962b, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xe905c325, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xa160944d, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x5e78a2f6, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x7426e341, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xff2e1ae6, "");
SYMBOL_CRC(ip_vs_conn_put, 0x84ca4480, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xc02f9cc0, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xbfed6e3b, "");
SYMBOL_CRC(register_ip_vs_app, 0x3fb5ead3, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x26e18e67, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x6dc4a153, "");
SYMBOL_CRC(ip_vs_proto_get, 0x57af9d39, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xe39dfe03, "");
SYMBOL_CRC(register_ip_vs_pe, 0x09f8a419, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xe694fa42, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x4d0e17bf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d74bc2a, "nf_ct_ext_add" },
	{ 0x5259c1d, "nf_conntrack_find_get" },
	{ 0xdb8d386, "try_module_get" },
	{ 0xec308b55, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x30b7523c, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7a27d881, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2425815d, "skb_copy_bits" },
	{ 0xf62e70a7, "xfrm_lookup" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0x96833c32, "register_net_sysctl" },
	{ 0xe92e2997, "consume_skb" },
	{ 0x14d5b18a, "ip6_local_out" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x50eaf1b9, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xc70830ab, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2063d8b6, "kernel_bind" },
	{ 0xe9ed7d3a, "genlmsg_put" },
	{ 0x12058875, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x20489eb2, "ip6_route_me_harder" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x290143c1, "__module_get" },
	{ 0x63ee9522, "ip_route_output_flow" },
	{ 0x4a3ffbe, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x9bbd2b43, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbb93281c, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc411290, "proc_create_net_data" },
	{ 0xec7c7527, "pskb_expand_head" },
	{ 0xe238ab32, "register_pernet_subsys" },
	{ 0x1c80d2a8, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xdae01475, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7c38b684, "nf_register_net_hooks" },
	{ 0x890eb05e, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x73b0cea0, "__alloc_skb" },
	{ 0xba36bb9d, "kmem_cache_alloc" },
	{ 0x2c34f44, "ipv6_sock_mc_join" },
	{ 0xd963c10b, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe4e99e2, "ipv6_dev_get_saddr" },
	{ 0x1732f087, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad121780, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x9de2bd3b, "sk_skb_reason_drop" },
	{ 0x1fc3ee5a, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb17fd250, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x623e647f, "nf_conntrack_alter_reply" },
	{ 0x732e29da, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x13dee30, "skb_push" },
	{ 0xb92ac067, "kmem_cache_free" },
	{ 0x2500080c, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x4921aca, "nf_ct_expect_alloc" },
	{ 0x73c80e4c, "skb_ensure_writable" },
	{ 0xfa18619f, "iov_iter_kvec" },
	{ 0xed9fd80a, "ip_mc_join_group" },
	{ 0xd6db6440, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd133136a, "ns_capable" },
	{ 0x91ac5375, "nf_unregister_net_hooks" },
	{ 0xcbfa7547, "inet_select_addr" },
	{ 0x654aad4e, "unregister_pernet_device" },
	{ 0x80bf7244, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5a3c7c43, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x66ab1301, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf76ecb4, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xaf7850aa, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xa9531665, "kernel_connect" },
	{ 0x4a4176c5, "skb_checksum" },
	{ 0x3c09112b, "ip_defrag" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x210a07fa, "__pskb_pull_tail" },
	{ 0xf2c555a9, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x75558c1, "skb_trim" },
	{ 0xc2c47e02, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xb6b57463, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x8062b068, "nf_ct_deliver_cached_events" },
	{ 0x3dec05ec, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf6f42cd6, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdec1ebe, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0xbca1f259, "skb_set_owner_w" },
	{ 0xca372a02, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdc8fa703, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa197d3e4, "init_user_ns" },
	{ 0xbf87a144, "nf_ct_expect_init" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7400fc23, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x726d7a8d, "seq_printf" },
	{ 0x9fb4f8c4, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbb33cf99, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa9b5836f, "ipv4_update_pmtu" },
	{ 0x1059afc7, "nf_defrag_ipv6_enable" },
	{ 0x658b169, "dst_release" },
	{ 0xbeb9cd78, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xbbd92153, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x20fc6069, "ip_local_out" },
	{ 0x65f8ab58, "genl_unregister_family" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x74c2fbcc, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b2bdead, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1f0c7281, "genl_register_family" },
	{ 0xa9aa66dd, "kernel_sendmsg" },
	{ 0xe3abe1a6, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x280a56d6, "register_pernet_device" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x39168766, "kmem_cache_destroy" },
	{ 0xcca357a8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "AFDAA619AE300C6503D360C");
MODULE_INFO(rhelversion, "9.6");
