#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x119dbeac, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x550452d1, "_gpl");
SYMBOL_CRC(tls_get_record, 0x5d7327d3, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x9984ed46, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x9a0e00ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1634b97, "sk_msg_free" },
	{ 0x91c86375, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38c88476, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8177c72d, "tcp_read_sock" },
	{ 0x2210a07e, "bpf_trace_run4" },
	{ 0x2425815d, "skb_copy_bits" },
	{ 0x6856fc11, "sk_page_frag_refill" },
	{ 0x9f86eebb, "skb_put" },
	{ 0xe92e2997, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ceb20bd, "trace_raw_output_prep" },
	{ 0xb97604ac, "sk_psock_msg_verdict" },
	{ 0x6a0c5c6f, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x80d494f4, "trace_event_printf" },
	{ 0x15eac670, "iov_iter_get_pages2" },
	{ 0x5b588091, "___pskb_trim" },
	{ 0xa73f8e83, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x2595587, "clean_acked_data_enable" },
	{ 0x21abac76, "skb_splice_bits" },
	{ 0xe0ba776c, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x328cec25, "crypto_aead_setauthsize" },
	{ 0x3a46c861, "crypto_aead_decrypt" },
	{ 0x35c032ae, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x22e472b5, "sk_stream_error" },
	{ 0x2201d7d0, "sk_msg_recvmsg" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe4a5b8d1, "sk_msg_memcopy_from_iter" },
	{ 0x7d8f5539, "sk_error_report" },
	{ 0xe238ab32, "register_pernet_subsys" },
	{ 0xabe70e2f, "put_cmsg" },
	{ 0xde1bab65, "__sk_flush_backlog" },
	{ 0x46c3623a, "trace_event_buffer_commit" },
	{ 0xc481eb80, "crypto_destroy_tfm" },
	{ 0x518b7c27, "do_tcp_sendpages" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x625b5577, "sk_psock_tls_strp_read" },
	{ 0xfcf2a7c7, "sk_msg_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6367ef8f, "trace_event_ignore_this_pid" },
	{ 0x73b0cea0, "__alloc_skb" },
	{ 0xae9ff47c, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x4a4d3836, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xeb3b9347, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xcd631452, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x639b77a3, "__traceiter_sk_data_ready" },
	{ 0xf8550cb2, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xd906751b, "crypto_aead_encrypt" },
	{ 0x9de2bd3b, "sk_skb_reason_drop" },
	{ 0x1644274c, "bpf_trace_run5" },
	{ 0xcdb02f04, "sk_free" },
	{ 0xa5f260da, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb7207e15, "__sk_mem_reclaim" },
	{ 0xb567c199, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0xb4f0c30b, "trace_event_reg" },
	{ 0xfa18619f, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x72359a03, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x80bf7244, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x871e9b48, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xa902ee97, "skb_copy_datagram_iter" },
	{ 0x955017fe, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xaf7850aa, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xea7db64d, "sock_efree" },
	{ 0x3c42353d, "kfree_skb_list_reason" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8beb6b12, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x83da17c0, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0x75558c1, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x163cf7a9, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9580a1aa, "tcp_register_ulp" },
	{ 0xee4d029b, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xd2637a5c, "sk_psock_drop" },
	{ 0x2f2902ce, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b3b7de8, "skb_page_frag_refill" },
	{ 0x5ea28115, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x405a7186, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xa0a873a5, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd141e16a, "__folio_put" },
	{ 0x7400fc23, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x726d7a8d, "seq_printf" },
	{ 0xbb33cf99, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb255e17c, "skb_clone" },
	{ 0x658b169, "dst_release" },
	{ 0x2dc9532c, "_copy_from_iter" },
	{ 0x5bff6694, "skb_copy_header" },
	{ 0x1b0b42e5, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x5b2a723e, "netdev_sk_get_lowest_dev" },
	{ 0xbe456e98, "sk_msg_alloc" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0x931b685, "_copy_from_iter_nocache" },
	{ 0xf7a01678, "tcp_rate_check_app_limited" },
	{ 0x7f020c4a, "tcp_poll" },
	{ 0x8e03113c, "iov_iter_revert" },
	{ 0x150b8630, "sk_msg_zerocopy_from_iter" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x2ae98ab5, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x3865ac9f, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0x7dbbb9c6, "tcp_read_done" },
	{ 0xcca357a8, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A3DA5670E0E0027DD6B4CA8");
MODULE_INFO(rhelversion, "9.6");
