#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x2e4cc31a, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x9fe7e840, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x15922252, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x349639a9, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x1cac5729, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x98252c77, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xf74a7d45, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x7bc6d927, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xa951032c, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x7df56ff5, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x1e8fdbd0, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x312e4e31, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xd3e77bf0, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xd4b02c26, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xee1bf0e6, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xaaba7efa, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x000af4b3, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x66721682, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xb6b9b852, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x3de02d1a, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x4db67985, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x3c97f5f0, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x32247552, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x1039a068, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x674c50c5, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x3c12dac1, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x839c82ef, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xfe6418ac, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x295916b2, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xee3fc2cd, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xe6d68219, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x116d3472, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xdfd1e6c5, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x9bc7f0cc, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xc5c68cb0, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xc304e45b, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x644d281c, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x53e1baf0, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x05356139, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xcbf7517f, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x7c0d8ed6, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x51c0e9f9, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0xba4e4998, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x4a1ceb51, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x145fc6d0, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x950f373f, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x86e81d0f, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x22a478cf, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x8c31a1c6, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x4fa94a74, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x0b464e79, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x36e9ae62, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x1e119985, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x10fd41f8, "_gpl");
SYMBOL_CRC(cxl_memdev_setup_fw_upload, 0xa8cfc5ed, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x5b200d12, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x947e8ddc, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x0ae709eb, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x0a60fd57, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xe6e18048, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xfa4d509f, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x2badcd77, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x017fd6cd, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xd5ceba31, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xbb0777a4, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x6c2547d2, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x32ba0e08, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x32ecb30e, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xb401ddc7, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xe2474ddd, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x98f7a1d1, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xb8d0621b, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xfde2fdaa, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x84724365, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x1fc554ca, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x701a9d4b, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x25096e8b, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x5428741b, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xc083f4ae, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x18fd7a84, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xc34d0a72, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x1b35d1e6, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x4bf0e09a, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x84dd90c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62ea27e3, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2210a07e, "bpf_trace_run4" },
	{ 0x56b659d4, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc3d311ee, "dev_set_name" },
	{ 0xc3fff398, "param_ops_ushort" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ceb20bd, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x73ff7241, "cdev_device_del" },
	{ 0x6a0c5c6f, "bpf_trace_run6" },
	{ 0x311cac07, "pci_doe" },
	{ 0xad6461b0, "device_unregister" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x80d494f4, "trace_event_printf" },
	{ 0x800518a8, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xffdf73ed, "device_initialize" },
	{ 0xa73f8e83, "trace_event_raw_init" },
	{ 0x81844c9d, "vmemdup_user" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc4734680, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x527c97fe, "bpf_trace_run2" },
	{ 0x35c032ae, "event_triggers_call" },
	{ 0xc328e76c, "devm_remove_action" },
	{ 0x9ffc2705, "get_device" },
	{ 0xa438bcd5, "__dynamic_dev_dbg" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8388357d, "dev_driver_string" },
	{ 0x46c3623a, "trace_event_buffer_commit" },
	{ 0x6e267b47, "pci_read_config_dword" },
	{ 0x7388d25, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x2e904941, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xea20f26c, "put_device" },
	{ 0x6367ef8f, "trace_event_ignore_this_pid" },
	{ 0x708f747b, "bus_for_each_dev" },
	{ 0xabe946d, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x3336267b, "compat_ptr_ioctl" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xcd631452, "perf_trace_run_bpf_submit" },
	{ 0x7637ab51, "sysfs_update_group" },
	{ 0xf099988c, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xff75c166, "devm_kfree" },
	{ 0x2fb1ba4c, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x925c817c, "debugfs_create_bool" },
	{ 0x25d005cd, "bus_find_device" },
	{ 0x1cdd1460, "device_add" },
	{ 0x8071aa85, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x1905226c, "noop_llseek" },
	{ 0x42db0f2a, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x65d4fa8d, "kernfs_find_and_get_ns" },
	{ 0x8dcaeeb9, "debugfs_remove" },
	{ 0x15873658, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb4f0c30b, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x67011569, "driver_unregister" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbf2e7930, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xd6f79fbc, "devm_release_action" },
	{ 0x868e7e81, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xb11582bd, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x8f9acd7a, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xee4d029b, "bpf_trace_run3" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xa87ee15e, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5ea28115, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x6a71add9, "kernfs_put" },
	{ 0x491db983, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x726d7a8d, "seq_printf" },
	{ 0x1b03a026, "device_match_name" },
	{ 0xd0acfb45, "pci_walk_bus" },
	{ 0x31010877, "dev_err_probe" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x16d514b2, "__devm_add_action" },
	{ 0x8ecdca16, "pci_find_dvsec_capability" },
	{ 0xc23661dd, "device_find_child_by_name" },
	{ 0x5e30e64, "device_release_driver" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2e6d1d9d, "pci_write_config_word" },
	{ 0x4e468080, "debugfs_create_dir" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xad79fa8b, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2035c874, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa554e9fa, "pci_bus_type" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x4c9331f, "bus_register" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C0B0F754F888D205F818DF");
MODULE_INFO(rhelversion, "9.6");
