#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xe77a1a6f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x893c3fce, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x878dd6d7, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xddd2dade, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xaabb9619, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x71a4f7ba, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x013f0e4e, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xe47b9075, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x3fc40ac9, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xb5500202, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x23026e81, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x627c7134, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xd41c548d, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x3578073f, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x1d0095aa, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xc676c81d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x332739d, "vmf_insert_pfn" },
	{ 0x54bee2a3, "ww_mutex_lock_interruptible" },
	{ 0x38c88476, "vmemmap" },
	{ 0x15d120a0, "drm_gem_get_pages" },
	{ 0x4f3e293d, "dma_buf_vmap" },
	{ 0x43a4938f, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x84634f3d, "invalidate_mapping_pages" },
	{ 0xf9566f26, "ww_mutex_unlock" },
	{ 0xea1fe754, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x1f4bb296, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xf518a382, "drm_gem_create_mmap_offset" },
	{ 0xf94e71ed, "drm_gem_object_init" },
	{ 0x8388357d, "dev_driver_string" },
	{ 0x46df5f10, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x306930b3, "drm_gem_vm_close" },
	{ 0xae46f6c1, "drm_gem_vm_open" },
	{ 0x9c1785eb, "drm_gem_object_release" },
	{ 0x20f9cd9f, "ww_mutex_lock" },
	{ 0x9856cc87, "vmap" },
	{ 0x45a3f3ae, "drm_gem_handle_create" },
	{ 0x1e69251c, "__drm_dev_dbg" },
	{ 0xdf7cd119, "drm_prime_pages_to_sg" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0x48fd0ada, "dma_buf_vunmap" },
	{ 0x560e71f2, "shmem_truncate_range" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x56aec360, "dma_map_sgtable" },
	{ 0x9b3f9cad, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7e9ec0f5, "dma_unmap_sg_attrs" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0xaaa2c3cb, "drm_gem_put_pages" },
	{ 0xf7d69304, "drm_gem_private_object_fini" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0xe714c257, "drm_prime_gem_destroy" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "8622760376E6C0944DC5A81");
MODULE_INFO(rhelversion, "9.6");
