#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0xdad2587e, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xaf02d2f0, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0x35106b4c, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x9c1e5ed8, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xe7fda609, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0x485f24dd, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0x2bb3ddab, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xf298c017, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xfa268c81, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x6eb44d6b, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x65ffa51f, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xf4c396ab, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xc527840a, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x9272420c, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0x1dcfe8fc, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0x0fc18d16, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xc354ec38, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xaaacc32d, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0xeffd2e05, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xa1226793, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0xa2d4a198, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0xd8a73278, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0x303435fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbac06e56, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xaf1c6bdd, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38c88476, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x17e1b637, "misc_deregister" },
	{ 0x4924fc3e, "iommu_device_claim_dma_owner" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x30fb1f2c, "iommu_group_get" },
	{ 0xb71b2590, "pin_user_pages_remote" },
	{ 0xb5c85bac, "iommu_iova_to_phys" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf7b5dd8e, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x79f4dd89, "fget" },
	{ 0xe08221ae, "__put_task_struct" },
	{ 0xa3b0d5d6, "__xas_next" },
	{ 0x3e17de6e, "xas_find" },
	{ 0x5443eeb8, "iommu_dev_disable_feature" },
	{ 0x85f607e5, "unpin_user_pages" },
	{ 0x9277f05f, "fd_install" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe9e8ece9, "unpin_user_page_range_dirty_lock" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x79c08a4e, "__account_locked_vm" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x947cd02a, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x623944db, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x94777401, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x804ea68f, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x21c2d92b, "iommu_detach_group" },
	{ 0xe0019fab, "iommu_paging_domain_alloc" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1c13f199, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xf19c3257, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd683b74f, "iommu_domain_free" },
	{ 0xd2510a63, "up_write" },
	{ 0x775e1347, "iommu_get_msi_cookie" },
	{ 0x7f291183, "xas_store" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6173f7d4, "iommu_unmap" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x5bd674f4, "xas_load" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7bfe1b99, "iova_bitmap_for_each" },
	{ 0xfac19588, "__clear_user" },
	{ 0x5b5e942a, "iommu_attach_handle_get" },
	{ 0xddb9aab3, "iommu_replace_group_handle" },
	{ 0x85b03537, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb11582bd, "_dev_warn" },
	{ 0xc46ca8b4, "misc_register" },
	{ 0xbd08633d, "unpin_user_page" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xd70b61ff, "iommu_put_resv_regions" },
	{ 0x103bafd6, "down_read" },
	{ 0x2754e6cc, "__mmdrop" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x23d4c87f, "nonseekable_open" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x62a4ad77, "__mmap_lock_do_trace_start_locking" },
	{ 0x65bce72, "iommu_get_resv_regions" },
	{ 0x4a3b6a4b, "mmput" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc2a32122, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x23d6de3d, "__mmap_lock_do_trace_released" },
	{ 0xe70e184a, "xa_store" },
	{ 0xbf986c45, "set_page_dirty_lock" },
	{ 0xcdd18d85, "device_iommu_capable" },
	{ 0x5fa4ce72, "xas_nomem" },
	{ 0x14e09182, "iommu_map" },
	{ 0x8b9deb90, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xca6890e, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x1ad3d87, "iommu_attach_group_handle" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x13486503, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa554e9fa, "pci_bus_type" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1DC7D0CE14715CF85B76AB2");
MODULE_INFO(rhelversion, "9.6");
