#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x23d42d5d, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x99d8eebb, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xf307d137, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x82118c8c, "");
SYMBOL_CRC(mpt_halt_firmware, 0x8c42f1fa, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x93bb4673, "");
SYMBOL_CRC(mpt_attach, 0x3130c93f, "");
SYMBOL_CRC(mpt_detach, 0x33a9d6a2, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xb7694c46, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x94e32958, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xdba1c28c, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x6a8ec206, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xe4a9a908, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x36780828, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xda8a082f, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xc1525abe, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x3fdc4ed8, "");
SYMBOL_CRC(mpt_verify_adapter, 0x8c586f48, "");
SYMBOL_CRC(mpt_GetIocState, 0x4912a870, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x3f730148, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x91a97ece, "");
SYMBOL_CRC(mpt_config, 0xa50b46ef, "");
SYMBOL_CRC(mpt_findImVolumes, 0x972c777a, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x9b496ac6, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x9f762264, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x0bc6cdea, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x63f06bdb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x672144bd, "strlcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x98de1c15, "snprintf" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x726d7a8d, "seq_printf" },
	{ 0x773e2ab0, "pci_stop_and_remove_bus_device_locked" },
	{ 0xd136622, "dma_free_attrs" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x78618f90, "pci_select_bars" },
	{ 0xcfb9bb86, "pci_enable_device_mem" },
	{ 0x809496dc, "pci_request_selected_regions" },
	{ 0x1148a09e, "dma_get_required_mask" },
	{ 0x8b0a2dc3, "dma_set_mask" },
	{ 0x8f447749, "dma_set_coherent_mask" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x946b106e, "pci_disable_device" },
	{ 0x20ccca68, "pci_release_selected_regions" },
	{ 0x1307cb2a, "pci_get_slot" },
	{ 0xc9eee04d, "pci_dev_put" },
	{ 0x7400fc23, "remove_proc_entry" },
	{ 0xaca0aef0, "complete" },
	{ 0x92ffa7ed, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5225db2a, "dma_alloc_attrs" },
	{ 0x2500080c, "seq_putc" },
	{ 0xd68b1494, "proc_mkdir" },
	{ 0x23e46038, "proc_create_single_data" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1e046cc, "panic" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe798236d, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x15873658, "pci_read_config_word" },
	{ 0x2e6d1d9d, "pci_write_config_word" },
	{ 0xe744dfc2, "pci_enable_device" },
	{ 0xc369bc1b, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x28246394, "pci_set_master" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc21c01a5, "pci_disable_msi" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb6b57463, "kthread_create_on_node" },
	{ 0x1c80d2a8, "wake_up_process" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe5037c96, "pci_read_config_byte" },
	{ 0x9f3d803d, "pci_write_config_byte" },
	{ 0xedc03953, "iounmap" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x3da7fa1f, "param_get_int" },
	{ 0x7b2bdead, "param_ops_int" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD095FF600E3738EEA65610");
MODULE_INFO(rhelversion, "9.6");
