#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0xef3bf71d, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xf93bb575, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xc10ae7fc, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xe8cc9d8c, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x5a62525f, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xe9868d60, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x18fbc037, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x5ba38fd4, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x2cc165bc, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0xc82be6e1, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0xe547c9ef, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x75ea0a27, "");
SYMBOL_CRC(iscsit_release_cmd, 0xe363124a, "");
SYMBOL_CRC(iscsit_free_cmd, 0xf676300c, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x9584af34, "");
SYMBOL_CRC(iscsit_aborted_task, 0xd59708a0, "");
SYMBOL_CRC(iscsit_add_reject, 0xd290916a, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x9939e2a8, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x4667f0bb, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0xe2be75b4, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xe0204cd6, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x7f7e5db6, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x3b490147, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x1b7a04f4, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x373a9b83, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x96951405, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0x786f80ab, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x6805259e, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x878f5d85, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x034d3505, "");
SYMBOL_CRC(iscsit_handle_snack, 0x509afc8f, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x613c6aa0, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xb772c14e, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xb282cb6d, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x76398e40, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x1e697bd7, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x3727e731, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x2de572d5, "");
SYMBOL_CRC(iscsit_build_reject, 0xcf0e621b, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x4105305b, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xeee4c142, "");
SYMBOL_CRC(iscsit_response_queue, 0xe713669c, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x5e9068f9, "");
SYMBOL_CRC(iscsit_register_transport, 0x3f10f398, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x9aab93a1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70b8eb4e, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xe7b37d88, "target_alloc_cmd_counter" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xdb8d386, "try_module_get" },
	{ 0x38c88476, "vmemmap" },
	{ 0x8af7d82c, "target_wait_for_cmds" },
	{ 0x860f2c43, "transport_generic_new_cmd" },
	{ 0xd4f410d0, "target_free_cmd_counter" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xd6868ac6, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x2063d8b6, "kernel_bind" },
	{ 0xd566933c, "up" },
	{ 0xc25f1334, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x81ce9797, "target_submit" },
	{ 0x7fe9c9c4, "kernel_accept" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x4a3ffbe, "kmem_cache_create" },
	{ 0x7ace347f, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xc07557cb, "target_stop_cmd_counter" },
	{ 0xed74e009, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeecd0c50, "transport_lookup_tmr_lun" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x1c80d2a8, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xc481eb80, "crypto_destroy_tfm" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x7ba33954, "transport_alloc_session_tags" },
	{ 0xd092ab7f, "transport_alloc_session" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xed4cd1aa, "sbitmap_prepare_to_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x269fc6d2, "target_unregister_template" },
	{ 0xfd92efd4, "transport_send_check_condition_and_sense" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xba36bb9d, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd9aa8977, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd963c10b, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x53685915, "flush_signals" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x639b77a3, "__traceiter_sk_data_ready" },
	{ 0xad121780, "init_net" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2db243cf, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb92ac067, "kmem_cache_free" },
	{ 0x6233cbdd, "set_cpus_allowed_ptr" },
	{ 0x620cdac4, "transport_deregister_session_configfs" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe2504517, "sbitmap_queue_clear" },
	{ 0xfa18619f, "iov_iter_kvec" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xa08e2604, "inet_pton_with_scope" },
	{ 0x1d6441e2, "sock_sendmsg" },
	{ 0xf7662d77, "crypto_shash_update" },
	{ 0xeadde047, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x66ab1301, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0xabc84eaa, "target_cmd_parse_cdb" },
	{ 0x28e38354, "sock_set_reuseaddr" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x9f0dc7ef, "crypto_ahash_finup" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x60bd5417, "crypto_ahash_digest" },
	{ 0x6108288f, "complete_all" },
	{ 0x3d006252, "crypto_ahash_final" },
	{ 0xcd7ea80, "__target_init_cmd" },
	{ 0xe798236d, "jiffies" },
	{ 0xb6b57463, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe535c70c, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbd3b9113, "core_tpg_check_initiator_node_acl" },
	{ 0xc32b7497, "target_cmd_init_cdb" },
	{ 0xf9e3faa9, "kernel_listen" },
	{ 0x309425ab, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x4d9eefdd, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x276ceac0, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdefaf45e, "crypto_shash_finup" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x94af2cc1, "transport_wait_for_tasks" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0xf484d518, "target_get_sess_cmd" },
	{ 0xe709fccd, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9fb4f8c4, "sock_recvmsg" },
	{ 0x6add53bc, "core_tpg_deregister" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0x39d65f4b, "__transport_register_session" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x56a11214, "target_show_dynamic_sessions" },
	{ 0xbeb9cd78, "sock_release" },
	{ 0x9d18ca2d, "target_register_template" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x226afbb1, "tcp_sock_set_nodelay" },
	{ 0x88f03319, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0xc7905744, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xef27b625, "core_tpg_register" },
	{ 0x9650a2e6, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xa3f2d611, "transport_deregister_session" },
	{ 0xe613a798, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xc3dd4474, "crypto_alloc_shash" },
	{ 0x30c48bcc, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x39168766, "kmem_cache_destroy" },
	{ 0xd65380df, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "F828A0D8F4BC99389AFE95B");
MODULE_INFO(rhelversion, "9.6");
