#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xed447ec2, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x37ae08fb, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xda569e96, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x91b196b8, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x91b68a7b, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x53da71ff, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xa8070ff9, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xb31c7d68, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xa2949a8b, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x8e233e27, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x4c4fc5a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe238ab32, "register_pernet_subsys" },
	{ 0x726d7a8d, "seq_printf" },
	{ 0xbbd92153, "seq_puts" },
	{ 0xaf7850aa, "unregister_pernet_subsys" },
	{ 0x7c38b684, "nf_register_net_hooks" },
	{ 0x91ac5375, "nf_unregister_net_hooks" },
	{ 0x7400fc23, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0xb2b3f53, "__nf_ip6_route" },
	{ 0x9de2bd3b, "sk_skb_reason_drop" },
	{ 0xf62e70a7, "xfrm_lookup" },
	{ 0x14d5b18a, "ip6_local_out" },
	{ 0x73c80e4c, "skb_ensure_writable" },
	{ 0xe324ec0f, "inet_proto_csum_replace4" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xac0a17e1, "nf_ct_tmpl_alloc" },
	{ 0x9d74bc2a, "nf_ct_ext_add" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xc411290, "proc_create_net_data" },
	{ 0x9372d047, "nf_ct_tmpl_free" },
	{ 0x2425815d, "skb_copy_bits" },
	{ 0x732e29da, "ip_route_me_harder" },
	{ 0x20fc6069, "ip_local_out" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x73b0cea0, "__alloc_skb" },
	{ 0x9f86eebb, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0xfdfefb5e, "__cookie_v4_check" },
	{ 0x66df0d36, "__cookie_v6_check" },
	{ 0xf7d4f4d, "ipv6_skip_exthdr" },
	{ 0x1a0af79c, "nf_ct_seqadj_init" },
	{ 0xe92e2997, "consume_skb" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "7F576D24BD6825D4349A67E");
MODULE_INFO(rhelversion, "9.6");
