#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x7974b01f, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xc5752eb3, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xe0f64d5b, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xcb4efb56, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x961d8a37, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x8ab40d27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d74bc2a, "nf_ct_ext_add" },
	{ 0x7d533e56, "nsh_pop" },
	{ 0x5259c1d, "nf_conntrack_find_get" },
	{ 0x65451e4a, "nf_ct_set_timeout" },
	{ 0x9bc62bc0, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0xdb8d386, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x42d7cc00, "dev_fill_metadata_dst" },
	{ 0x2210a07e, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc34228ed, "nf_ct_handle_fragments" },
	{ 0x8eb584d1, "eth_mac_addr" },
	{ 0x9f86eebb, "skb_put" },
	{ 0xa9214f7a, "genl_notify" },
	{ 0xfe364724, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe92e2997, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x72e1db80, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe9f06a4a, "skb_eth_pop" },
	{ 0x4ceb20bd, "trace_raw_output_prep" },
	{ 0x249a10cb, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xd7d76e63, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xde1e9f00, "nf_ct_helper" },
	{ 0x8d7044bd, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x80d494f4, "trace_event_printf" },
	{ 0x96a17ddf, "rtnl_delete_link" },
	{ 0xed368730, "rtnl_link_register" },
	{ 0xf9a6a1d2, "nf_connlabels_put" },
	{ 0xe9ed7d3a, "genlmsg_put" },
	{ 0x5b588091, "___pskb_trim" },
	{ 0xa73f8e83, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc5be9c37, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f5d6ea, "dev_set_promiscuity" },
	{ 0xde5cec9c, "nf_ct_destroy_timeout" },
	{ 0xd29c433b, "nf_ct_add_helper" },
	{ 0xe20a6a71, "nf_conntrack_helper_put" },
	{ 0xea3d20aa, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x828d6334, "nf_ct_skb_network_trim" },
	{ 0x35c032ae, "event_triggers_call" },
	{ 0x812affd8, "unregister_netdevice_queue" },
	{ 0x4a3ffbe, "kmem_cache_create" },
	{ 0x33f80421, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x778f3eb1, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x559df985, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xec7c7527, "pskb_expand_head" },
	{ 0x25da3f45, "skb_csum_hwoffload_help" },
	{ 0x46c3623a, "trace_event_buffer_commit" },
	{ 0x9d6057b7, "nf_connlabels_replace" },
	{ 0x1c72dcc3, "eth_type_trans" },
	{ 0xdedb20f4, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x9ec285db, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x43e71b12, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6367ef8f, "trace_event_ignore_this_pid" },
	{ 0x29c3892f, "skb_eth_push" },
	{ 0xd17c7434, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x73b0cea0, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xba36bb9d, "kmem_cache_alloc" },
	{ 0x3597144d, "skb_mpls_pop" },
	{ 0xde249f30, "skb_vlan_pop" },
	{ 0x71c9d775, "dst_init" },
	{ 0xd963c10b, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0x1732f087, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2e94fdd4, "rtnl_link_unregister" },
	{ 0xcd631452, "perf_trace_run_bpf_submit" },
	{ 0xad121780, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x3deb7046, "ipv6_stub" },
	{ 0x2bd1089c, "skb_mpls_update_lse" },
	{ 0x84c35889, "skb_pull" },
	{ 0xa4f17a6e, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x9de2bd3b, "sk_skb_reason_drop" },
	{ 0x1fc3ee5a, "netlink_unicast" },
	{ 0x1644274c, "bpf_trace_run5" },
	{ 0x3a037b5d, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x13dee30, "skb_push" },
	{ 0xb92ac067, "kmem_cache_free" },
	{ 0xff10ebb5, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xb4f0c30b, "trace_event_reg" },
	{ 0x73c80e4c, "skb_ensure_writable" },
	{ 0x8a31a075, "free_netdev" },
	{ 0x823644dd, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x654aad4e, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c2db5eb, "ethtool_op_get_link" },
	{ 0xf76ecb4, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x84cb3732, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x210a07fa, "__pskb_pull_tail" },
	{ 0xf2c555a9, "nf_ct_delete" },
	{ 0x2b8bca95, "nf_conncount_init" },
	{ 0x45f006f0, "skb_vlan_push" },
	{ 0x5e857c15, "dev_get_tstats64" },
	{ 0x4ae08d1d, "netif_rx" },
	{ 0x7457ca2, "__netdev_alloc_skb" },
	{ 0xe191ec41, "netdev_master_upper_dev_link" },
	{ 0x731fe74a, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x90fd7bc5, "inet_proto_csum_replace16" },
	{ 0x75558c1, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x74a2bf7f, "skb_scrub_packet" },
	{ 0x8062b068, "nf_ct_deliver_cached_events" },
	{ 0xf6f42cd6, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x2334206f, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf7164b54, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5ea28115, "trace_event_buffer_reserve" },
	{ 0xca372a02, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe324ec0f, "inet_proto_csum_replace4" },
	{ 0x9c73ee00, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x8fbfc2bc, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3dbc479a, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd990131b, "dev_get_by_name" },
	{ 0xb255e17c, "skb_clone" },
	{ 0x8dc3e5b6, "metadata_dst_alloc" },
	{ 0x658b169, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x91552694, "peernet2id_alloc" },
	{ 0xd07fded5, "nf_ct_get_tuplepr" },
	{ 0x927ba96a, "netdev_rx_handler_register" },
	{ 0x732690fd, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x65f8ab58, "genl_unregister_family" },
	{ 0xa1d90fe0, "dev_disable_lro" },
	{ 0x7387fff5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xbb952dd5, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1f0c7281, "genl_register_family" },
	{ 0x9372d047, "nf_ct_tmpl_free" },
	{ 0x27ccb79, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xb7b98787, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x4784b092, "skb_mpls_push" },
	{ 0x280a56d6, "register_pernet_device" },
	{ 0x3b1b8a03, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x146ee802, "kmalloc_caches" },
	{ 0xf4c505c5, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x39168766, "kmem_cache_destroy" },
	{ 0x2dc0e173, "__skb_vlan_pop" },
	{ 0xac0a17e1, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7829f670, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x800d16e1, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "E1EACEDF0BAC4CEC9B487AF");
MODULE_INFO(rhelversion, "9.6");
